server {
        listen 7300;
        access_log off;
        charset utf-8;
 
        location ^~ / {
                root  ../../paperlibrary/web/;
                try_files $uri $uri/ /index.html;
		}

        location /static/ {
                alias ../../paperlibrary/static/;
                add_header Access-Control-Allow-Origin *;
        }
		
        location ^~ /api/ {
                proxy_pass http://127.0.0.1:7380;
                proxy_set_header Host   $http_host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        }
}
